Request

Response

    nodes
    GET

    v2/containers/{containerId}/trees/{treeId}/nodes

    Retrieves the locations (nodes) for a project using the location breakdown structure (tree). To retrieve the path of a location, use the filter.

    You configure the locations in BIM 360 Project Admin. For information about locations, see the BIM 360 help documentation.

    Note that this endpoint is compatible with both BIM 360 and Forma projects.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/bim360/locations/v2/containers/:containerId/trees/:treeId/nodes
    Authentication Context
    user context required
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow.
    region
    string
    Specifies the region where the service is located. Possible values: US, EMEA.
    * Required

    Request

    URI Parameters

    containerId
    string: UUID
    The container ID. To find the ID, see the Retrieve a container ID tutorial.
    treeId
    string
    Must be default. Currently you can only add one tree (default) to a container.

    Request

    Query String Parameters

    filter[id]
    array: string
    Retrieves information about a specified node (location) in the tree. To retrieve multiple nodes, separate values with commas. For example, filter[id]=88e07ccb-4594-4dc5-8973-304412b8fa96,de9aca33-5e0c-4668-85fa-f96273db4b35. Note that the response includes the path of the node in the tree.

    To find the node ID, call this endpoint and check the value for results.id.

    Note that when you use this parameter, the server ignores the offset and limit parameters, and the response includes the path of the node in the tree.

    limit
    int
    The maximum number of nodes per page. Acceptable values: 1-10000. Default value: 10000.
    offset
    int
    The node index from which the pagination starts. This is zero-based.

    Response

    HTTP Status Code Summary

    200
    OK
    Succeeded
    400
    Bad Request
    Bad request
    403
    Forbidden
    Forbidden. The caller has no permission to perform this operation.
    404
    Not Found
    The specified container or tree was not found.

    Response

    Body Structure (200)

    Expand all
    pagination
    object
    limit
    int
    The maximum number of nodes per page.
    offset
    int
    The node index from which the pagination starts.
    totalResults
    int
    The total number of nodes returned.
    previousUrl
    string
    The URL path that returns the previous page of data.
    nextUrl
    string
    The URL path that returns the next page of data.
    results
    array: object
    id
    string: UUID
    The node ID.
    parentId
    string: UUID
    The parent node ID. null if this is the root node.
    type
    string
    Not relevant
    name
    string
    The name of the node.

    Max length: 255

    description
    string
    Not relevant
    barcode
    string
    Not relevant
    order
    int
    The node order. This number represents the relative position of a node under its parent. A node with a lower order value will be positioned before a node with a higher order value.
    documentCount
    int
    The number of documents linked to a node.
    areaDefined
    boolean
    A flag that indicates if a linked document contains marked areas. A marked area is a highlighted section of a document.

    true if a linked document contains marked areas.

    false if a linked document does not contain marked areas.

    path
    array: string
    The path from the root node to the current node. Note that this is only included if you use filter[id].

    Example

    Succeeded

    Request

    curl -v 'https://developer.api.autodesk.com/bim360/locations/v2/containers/:containerId/trees/:treeId/nodes' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
    

    Response

    {
      "pagination": {
        "limit": 3,
        "offset": 0,
        "totalResults": 7,
        "nextUrl": "/locations/v2/containers/4a327b27-897c-4e5a-8e48-6e01c21377f3/trees/default/nodes?limit=3&offset=3"
      },
      "results": [
        {
          "id": "5add4375-f223-4201-88b9-8049e68416aa",
          "parentId": null,
          "type": "Root",
          "name": "Project",
          "description": "Project description",
          "barcode": null,
          "order": 0,
          "documentCount": 0,
          "areaDefined": false
        },
        {
          "id": "d14ce3a6-e61b-4ab0-a9be-5acf7b5366df",
          "parentId": "5add4375-f223-4201-88b9-8049e68416aa",
          "type": "Area",
          "name": "Area 1",
          "description": "An Area 1 node",
          "barcode": "ABC123",
          "order": 0,
          "documentCount": 2,
          "areaDefined": true
        },
        {
          "id": "8da1faf2-a72f-421b-89df-00d77e545faf",
          "parentId": "5add4375-f223-4201-88b9-8049e68416aa",
          "type": "Area",
          "name": "Area 2",
          "description": "An Area 2 node",
          "barcode": "DEF456",
          "order": 1,
          "documentCount": 3,
          "areaDefined": true
        }
      ]
    }
    
    Show More